| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::StatusSpecMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< QString, StatusSpec >.

## Public Member Functions

| StatusSpecMap ()
| StatusSpecMap (const QMap< QString, StatusSpec > &a)
StatusSpecMap & | operator= (const QMap< QString, StatusSpec > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, StatusSpec>, but needed to have a discrete type in the Qt type system.

## Constructor & Destructor Documentation

Tp::StatusSpecMap::StatusSpecMap | ( |  | ) |

inline

Tp::StatusSpecMap::StatusSpecMap | ( | const QMap< QString, StatusSpec > & | a | ) |

inline

## Member Function Documentation

StatusSpecMap& Tp::StatusSpecMap::operator= | ( | const QMap< QString, StatusSpec > & | a | ) |

inline